"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b2cb0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b2d40>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b2dd0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b2e60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b2ef0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b2f80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3010>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b30a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3130>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b31c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3250>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b32e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3370>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3400>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3490>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3520>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b35b0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3640>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b36d0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3760>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b37f0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3880>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3910>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b39a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3ac0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3a30>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3b50>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3be0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3c70>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3d00>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3d90>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3e20>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3eb0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa2b3f40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3040d0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304160>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3041f0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304280>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304310>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3043a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304430>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3044c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304550>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3045e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304670>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304700>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304790>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304820>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3048b0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3049d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304a60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304af0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304c10>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304ca0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304d30>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304dc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304e50>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304ee0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa304f70>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305000>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305090>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305120>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3052d0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3051b0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305360>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3053f0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305480>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305510>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3055a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3056c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305630>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305750>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa3057e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305870>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305990>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305900>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305a20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305ab0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305b40>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305bd0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305c60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd7aa305cf0>)]
name: str = 'fr_HOCCN'
